PUT
/
api
/
v1
/
admin
/
simulation
/
executive-digests
/
{digest_id}
Update Team Simulation Executive Digest
curl --request PUT \
  --url https://api.jobsim.work/api/v1/admin/simulation/executive-digests/{digest_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "channel_type": "<string>",
  "destination": "<string>",
  "cadence": "<string>",
  "window_days": 123,
  "is_active": true,
  "metadata": {}
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

digest_id
string
required

Body

application/json

Request payload to update an executive digest schedule.

name
string | null
channel_type
string | null
destination
string | null
cadence
string | null
window_days
integer | null
is_active
boolean | null
metadata
Metadata · object

Response

Successful Response